# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Mon Jul 26 05:04:15 2021
# ------------------------------------------------

package:
  name: tifffile
  version: 2021.7.2
source:
  sha256: 17fc5ca901f7d7b827a16e4695668e6120319324efe6d1333258397d8a71dedb
  url: https://pypi.io/packages/source/t/tifffile/tifffile-2021.7.2.tar.gz
build:
  entry_points:
    - lsm2bin = tifffile.lsm2bin:main
    - tiff2fsspec = tifffile.tiff2fsspec:main
    - tiffcomment = tifffile.tiffcomment:main
    - tifffile = tifffile:main
  noarch: python
  number: '2'
  script: /tmp/build/80754af9/tifffile_1627275862826/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv
  string: pyhd3eb1b0_2
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.7.5 h06a4308_1
    - certifi 2021.5.30 py39h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.1.3 py39h06a4308_0
    - python 3.9.5 h12debd9_4
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2021a h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - imagecodecs >=2021.4.28
    - numpy >=1.15.1
    - python >=3.7
test:
  commands:
    - pip check
  imports:
    - tifffile
  requires:
    - pip
about:
  dev_url: https://github.com/cgohlke/tifffile
  doc_url: https://github.com/cgohlke/tifffile/blob/master/README.rst
  home: https://github.com/cgohlke/tifffile
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Read and write image data from and to TIFF files.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - blink1073
    - ericpre
    - jakirkham
    - mrakitin
    - ocefpaf
    - stuarteberg
